<div bsModal #add_pattern="bs-modal" class="modal fade" tabindex="-1" role="dialog" aria-hidden="true" (onHide)="parent.hideModals()">
	<div class="modal-dialog modal-sm">
		<div class="modal-content">
		  <div class="modal-header">
		    <h2 class="modal-title"> Add a new pattern </h2>
		  </div>
		  <div class="modal-body centered">

		  	<div class="form-group row">
			  <label class="col-2 col-form-label">Pattern name : </label>
			  <div class="col-10">
			    <input class="form-control" type="text" [(ngModel)]="patternName">
			  </div>
			</div>

			<div class="form-group row">
			  <label class="col-2 col-form-label">Sentence template : </label>
			  <div class="col-10">
			    <input class="form-control" type="text" [(ngModel)]="sentenceTemplate">
			  </div>
			</div>
			<div class="submit">
				<br><br>
				<button type="submit" class="btn btn-primary" [disabled]="patternName=='' || sentenceTemplate==''" (click)="submitPattern()">Add pattern</button>
			</div>
			
		  </div>
		</div>
	</div>
</div>